<!--
 
function lxiCB(c,p_x,p_y,lx,b_right)
{
var factor=lx/100;
var yAxe=Math.round(50*factor);
var x1=Math.round(80*factor);var y1=0*factor;var x2=Math.round(55*factor);var y2=Math.round(25*factor);
var x3=Math.round(47*factor);var y3=Math.round(17*factor);var x4=Math.round(60*factor);var y4=Math.round(5*factor);
var x5=Math.round(22*factor);var y5=y4;
if(b_right==false)
{
x1=lx-x1;x2=lx-x2;x3=lx-x3;x4=lx-x4;x5=lx-x5;
}
c.beginPath()
c.moveTo(p_x+x1,p_y+yAxe-y1);c.lineTo(p_x+x2,p_y+yAxe-y2);c.lineTo(p_x+x3,p_y+yAxe-y3);c.lineTo(p_x+x4,p_y+yAxe-y4);c.lineTo(p_x+x5,p_y+yAxe-y5);
c.lineTo(p_x+x5,p_y+yAxe+y5);c.lineTo(p_x+x4,p_y+yAxe+y4);
c.lineTo(p_x+x3,p_y+yAxe+y3);c.lineTo(p_x+x2,p_y+yAxe+y2);c.lineTo(p_x+x1,p_y+yAxe+y1);
c.fill()
}
function ZgjMo(c,x,y,lx,size,epais)
{
x=Math.round(x+(lx-size)/2);y=Math.round(y+(lx-size)/2);c.fillRect(x,y+(size-epais)/2,size,epais);c.fillRect(x+(size-epais)/2,y,epais,size);
}
function CGBVC(c,x,y,lx,col)
{
var old_fill=c.fillStyle;
var size=16;x=Math.round(x+(lx-size)/2);y=Math.round(y+(lx-size)/2);var x2=9;
c.beginPath();c.moveTo(x+x2,y);c.lineTo(x+x2+6,y+7);c.lineTo(x+x2,y+14);c.fill();
var grad=c.createLinearGradient(x,y,x+8,y);
var CJYvh=new RGBColor(col)
CJYvh.a=0
grad.addColorStop(1,col);grad.addColorStop(0,CJYvh.toRGB());
c.fillStyle=grad;
c.beginPath();c.rect(x,y,8,14);c.fill()
c.fillStyle=old_fill
}
function SsQjF(c,x,y,lx,col)
{
var old_fill=c.fillStyle;
var size=16;
x=Math.round(x+(lx-size)/2);
y=Math.round(y+(lx-size)/2);
c.fillStyle=col;
c.beginPath();
c.rect(x,y,size,size);
c.fill()
c.fillStyle=old_fill
}
function xuuFW(YcqEU,mgPFn)
{
YcqEU=wa_evaluate(YcqEU.replace("%","/100"))
return Math.round(YcqEU*mgPFn)
}
function IkNkp(kSJtD,IicTl,tjQrH)
{
var x=xuuFW(kSJtD.x,IicTl)
var y=xuuFW(kSJtD.y,tjQrH)
var lx=xuuFW(kSJtD.lx,IicTl)
var ly=xuuFW(kSJtD.ly,tjQrH)
return new Rect(x,y,lx,ly)
}
function WA_change_tool_button(IYBOa,sZvcx,over)
{
var vldDd=kXdgM(IYBOa)
if(vldDd&&vldDd.JJZHi)
{
var GxVkl=vldDd.JJZHi[sZvcx]
if(GxVkl)
{
GxVkl.PtdCc=over
GxVkl.draw()
}
}
}
function WA_toolbar_button(id,lx,ly,type,col,shadow)
{
var el=document.getElementById(id)
var c=el.getContext('2d');
c.clearRect(0,0,lx,ly) 
var current_col=col;
c.fillStyle=current_col;
if(type=="<")
{
lxiCB(c,0,0,lx,false)
}
if(type==">")
{
lxiCB(c,0,0,lx,true)
}
if(type=="down")
{
c.rotate(-Math.PI/2);c.translate(-lx,0);
lxiCB(c,0,0,lx,false)
c.translate(lx,0);c.rotate(Math.PI/2);
}
if(type=="up")
{
c.rotate(Math.PI/2);c.translate(0,-ly);
lxiCB(c,0,0,lx,false);
c.translate(0,ly);c.rotate(-Math.PI/2);
}
if(type=="+")
{
ZgjMo(c,0,0,lx,12,4)
}
if(type=="diapo")
{
CGBVC(c,0,0,lx,current_col)
}
if(type=="stop")
{
SsQjF(c,0,0,lx,current_col)
}
}
vFivf.prototype=new Tween();
vFivf.prototype.constructor=Tween;
vFivf.superclass=Tween.prototype;
function vFivf(obj,vFdgv,LoWrC,aWLsA,CaaRi)
{
this.targetObject=obj;
this.init(new Object(),'a',vFdgv,LoWrC,aWLsA,CaaRi);
this.onMotionChanged=function(evt)
{
var v=evt.target.getPosition();
var rfEpa=this.targetObject;
v=Math.round(v*100)/100
rfEpa.setOpacity(v/100);
}
}
function WA_photoAlbumActionThumb(IYBOa,sZvcx,Asbtb)
{
var vldDd=kXdgM(IYBOa)
if(vldDd.JDONR()==false)return 
var NaNFo=vldDd.gJvBb_preview_id;
var hGGhu_img=document.getElementById(NaNFo)
if(sZvcx==-1) sZvcx=0;
var gJvBb=MPaEO(IYBOa)[sZvcx]
var EMxRY=vldDd.haigd()
var TddDe=EMxRY.border_size 
if(Asbtb!=true)
if(vldDd.TUgUP==sZvcx)
{
return;
}
if(vldDd.SoGbr) return;
vldDd.SoGbr=true
var WHmqX_size=new Size(vldDd.MUsag_preview.width-2*TddDe,vldDd.MUsag_preview.height-2*TddDe)
var WHmqX_reso=vldDd.YKRma.max_img_resolution
var src_folder=BemFK(IYBOa)
var mgPFn=new Size(gJvBb.size.w,gJvBb.size.h)
mgPFn.scale(WHmqX_size)
if(WHmqX_reso>0)
{
var WHmqX_size_album=new Size(WHmqX_reso,WHmqX_reso)
mgPFn.scale(WHmqX_size_album)
}
var QtOKh=new Image();
if(isMSIE())
{
QtOKh=document.getElementById(vldDd.inpMR) 
QtOKh.width=mgPFn.width
QtOKh.height=mgPFn.height
}
QtOKh.MYcmW=0.2
QtOKh.Wnnib=0.1
QtOKh.aMtie_img=sZvcx
QtOKh.PljYt=vldDd.PljYt
QtOKh.ZiIOs=Tween.strongEaseOut
QtOKh.hGGhu_img=hGGhu_img
QtOKh.NUhGQ=document.getElementById(vldDd.PljYt.divId())
QtOKh.vldDd=vldDd 
QtOKh.cJCZt=mgPFn;
QtOKh.loaded=false;
QtOKh.onload=function()
{
BJrxH(this,this.hGGhu_img)
}
QtOKh.onerror=function()
{
nJLxT(this,false)
}
QtOKh.onabort=function()
{
nJLxT(this,false)
}
QtOKh.src=src_folder+"/"+gJvBb.th+"?v="+gJvBb.mod;
}
function BJrxH(QtOKh_obj,hGGhu_img)
{
if(isMobileBrowser())
{
var vldDd=QtOKh_obj.vldDd
vldDd.TUgUP=QtOKh_obj.aMtie_img
QtOKh_obj.PljYt.setOpacity(1);
html_SetOpacity(QtOKh_obj.hGGhu_img,1)
wuBih(QtOKh_obj,QtOKh_obj.hGGhu_img)
nJLxT(QtOKh_obj,true)
return;
}
var kIrTm=new vFivf(QtOKh_obj.PljYt,QtOKh_obj.ZiIOs,100,0,QtOKh_obj.MYcmW);
kIrTm.QtOKh_obj=QtOKh_obj
kIrTm.start()
var QmcKN=new OpacityTween(hGGhu_img,QtOKh_obj.ZiIOs,100,0,QtOKh_obj.MYcmW);
QmcKN.QtOKh_obj=QtOKh_obj
QmcKN.hGGhu_img=hGGhu_img
QmcKN.onMotionFinished=dLPYm
QmcKN.start()
}
function dLPYm()
{
var QtOKh_obj=this.QtOKh_obj 
var sZvcx=QtOKh_obj.aMtie_img
var vldDd=QtOKh_obj.vldDd
vldDd.TUgUP=sZvcx 
var CaaRi=0.1
wuBih(this.QtOKh_obj,this.hGGhu_img)
var LMIOm=new vFivf(QtOKh_obj.PljYt,QtOKh_obj.ZiIOs,0,100,QtOKh_obj.Wnnib);
LMIOm.QtOKh_obj=QtOKh_obj
LMIOm.start()
var GacvE=new OpacityTween(this.hGGhu_img,this.QtOKh_obj.ZiIOs,0,100,this.QtOKh_obj.Wnnib);
GacvE.QtOKh_obj=this.QtOKh_obj
GacvE.hGGhu_img=this.hGGhu_img
GacvE.onMotionFinished=FkTbO
GacvE.start() 
}
function FkTbO()
{
nJLxT(this.QtOKh_obj,true)
}
function nJLxT(QtOKh_obj,WUpYM)
{
var sZvcx=QtOKh_obj.aMtie_img
var vldDd=QtOKh_obj.vldDd
vldDd.SoGbr=false;
var sZvcx=vldDd.TUgUP 
{
vldDd.OXEVF=Math.floor(sZvcx/(vldDd.pTock_cols*vldDd.sLIfi))
LguGo(vldDd.IYBOa)
}
vldDd.FXfNL()
vldDd.flEbY()
}
function wuBih(QtOKh_obj,hGGhu_img)
{
var vldDd=QtOKh_obj.vldDd
var mgPFn=QtOKh_obj.cJCZt
vldDd.QNPQS.width=mgPFn.width
vldDd.QNPQS.height=mgPFn.height
hGGhu_img.width=mgPFn.width;
hGGhu_img.height=mgPFn.height;
hGGhu_img.src=QtOKh_obj.src;
var EMxRY=vldDd.haigd()
var baFGQ=new RGBColor(EMxRY.border_col)
var TddDe=EMxRY.border_size
if(baFGQ.a==0) TddDe=0;
var aaVeT=vldDd.MUsag_preview
var aCaPb=EMxRY.shadow;
var sXPjU=0;
if(aCaPb)sXPjU=6
var x0=Math.round((aaVeT.width-(mgPFn.width+2*TddDe))/2)
var y0=Math.round((aaVeT.height-(mgPFn.height+2*TddDe))/2)
vldDd.PljYt.setRect(x0,y0,mgPFn.width+2*TddDe,mgPFn.height+2*TddDe)
var McEpu=document.getElementById(vldDd.McEpu_preview_id)
html_SetPosition(McEpu,TddDe+x0,TddDe+y0)
}
function WA_photoAlbumChangeImageSize(hGGhu_img,mgPFn,TENKE)
{
var dec=3
hGGhu_img.width=mgPFn
hGGhu_img.height=mgPFn
hGGhu_img.style.borderWidth=TENKE
}
function WA_photoAlbumThumbOver(hGGhu,IYBOa,sZvcx)
{
var vldDd=kXdgM(IYBOa)
var gJvBb_def=MPaEO(IYBOa)[sZvcx]
var NaNFo=vldDd.tLuTq(sZvcx)
var hGGhu_img=document.getElementById(NaNFo)
hGGhu.vldDd=vldDd;
hGGhu.hGGhu_img=hGGhu_img
var dec=2
WA_photoAlbumChangeImageSize(hGGhu_img,vldDd.mgPFn_thumb-2*dec,vldDd.uajil+dec)
}
function WA_photoAlbumThumbOut(hGGhu)
{
var hGGhu_img=hGGhu.hGGhu_img;
var vldDd=hGGhu.vldDd
WA_photoAlbumChangeImageSize(hGGhu_img,vldDd.mgPFn_thumb,vldDd.uajil)
}
function fgObB(IYBOa,JvrbJ)
{
this.IYBOa=IYBOa;
this.Tqxar=25;
this.JJWIX=JvrbJ;
this.lCxqS="photo-album-toolbar-"+this.IYBOa
this.LfUZs=("photo-album-scroll-content"+this.IYBOa)
this.MUsag_selector_slider=null;
this.MUsag_selector_toolbar=null;
this.MUsag_preview=null;
this.pTock_cols=0;
this.sLIfi=0;
this.ehMEu=new Array()
this.OXEVF=0;
this.pTock_pages=1
this.ktptw=true;
this.DeHOA=false
this.qRqwT=40
this.QNPQS=new Size(0,0)
this.Atbin=-1;
this.TUgUP=-1;
this.pTock_images=this.JJWIX.def.length
this.AXPIO=false;
this.UYegi=new Rect(0,0,100,100)
this.YKRma=iVwDF(this.IYBOa)
var OHESm=this.YKRma
if(OHESm.diaporama&&(OHESm.diaporama.startup))this.AXPIO=true;
this.Jdeqa=false;
this.Shhfg=false;
this.aAdHW=0;
this.uInVq=function()
{
if(this==this.JJWIX.album_object) return true;
return false;
}
this.cZutO=function()
{
return this.IYBOa+this.aAdHW
}
this.UWeKh=function()
{
var OHESm=iVwDF(IYBOa)
var wsEcr=this.kFnRB();
this.DeHOA=wsEcr.nav_has_horz_flow
if(this.DeHOA==false)
{
this.ehMEu.push("up")
this.ehMEu.push("down")
}
else
{
this.ehMEu.push("<")
this.ehMEu.push(">")
}
if(this.BqwiK())
{
this.ehMEu.push("+")
}
else
if(this.gtdeW())
{
this.ehMEu.push("-")
}
if(OHESm.diaporama)
{
this.ehMEu.push("diapo")
}
if((wsEcr.nav_but_orient==5)||(wsEcr.nav_but_orient==3))
{
this.ktptw=false;
}
var canvas_bg=""
this.wMDqj_selector=new WA_GraphicElement(this.cZutO()+"-graphic-selector-bg",50,wsEcr.bg_shadow)
this.wMDqj_selector.draw=function()
{
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,1,wsEcr.bg_border_col,[wsEcr.bg_col],wsEcr.bg_shadow,0)
}
canvas_bg+=this.wMDqj_selector.toHtml() 
this.wMDqj_toolbar=new WA_GraphicElement(this.cZutO()+"-graphic-toolbar-bg",50,wsEcr.bg_shadow)
this.wMDqj_toolbar.ktptw=this.ktptw 
this.wMDqj_toolbar.draw=function()
{
var SVFZu_toolbar=false;
if(this.ktptw)
{
SVFZu_toolbar=IKHRC(0,0,0,this.rect().height/2,wsEcr.toolbar_bg_col1,wsEcr.toolbar_bg_col2)
}
else
{
SVFZu_toolbar=IKHRC(0,0,this.rect().width/2,0,wsEcr.toolbar_bg_col1,wsEcr.toolbar_bg_col2)
}
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,1,wsEcr.toolbar_border_col,[SVFZu_toolbar],wsEcr.toolbar_shadow,0)
}
canvas_bg+=this.wMDqj_toolbar.toHtml() 
this.JJZHi=new Array()
this.JJZHi_by_action=new Array()
for(var n=0;n<this.ehMEu.length;n++)
{
var n_action=this.ehMEu[n]
var GxVkl=new WA_GraphicElement(this.cZutO()+"-graphic-toolbar-but"+n,70,false)
GxVkl.n_action=n_action
GxVkl.vldDd=this
GxVkl.PtdCc=false
GxVkl.Tqxar=this.Tqxar
GxVkl.QhQQc=wsEcr.toolbar_but_col1
GxVkl.Otrfj=wsEcr.toolbar_but_col2
GxVkl.draw=function()
{
var VVpfr=this.Tqxar
var VRUTx=this.n_action
if(VRUTx=="diapo")
{
if(this.vldDd.lGWOq())VRUTx="stop"
}
var QUTuP=(this.PtdCc)?this.Otrfj:this.QhQQc
WA_toolbar_button(this.canvasId(),VVpfr,VVpfr,VRUTx,QUTuP,true)
}
this.JJZHi.push(GxVkl)
var YKNGu=n_action
if(YKNGu=="up")YKNGu="<"
if(YKNGu=="down")YKNGu=">"
this.JJZHi_by_action[YKNGu]=GxVkl
canvas_bg+="<div id='"+GxVkl.divId()+"-href' onclick=\"javascript:WA_photoAlbumAction('"+this.IYBOa+"',"+n+")\" ";
canvas_bg+="style=\""
canvas_bg+="position:absolute;"
canvas_bg+="z-index:1000;"
canvas_bg+="cursor:pointer;"
canvas_bg+="\" "
canvas_bg+="onmouseover=\"";
canvas_bg+="WA_change_tool_button('"+this.IYBOa+"',"+n+",true)";
canvas_bg+="\" ";
canvas_bg+="onmouseout=\"";
canvas_bg+="WA_change_tool_button('"+this.IYBOa+"',"+n+",false)";
canvas_bg+="\" ";
canvas_bg+=">";
canvas_bg+="</div>";
canvas_bg+=GxVkl.toHtml()
}
canvas_bg+="<div id='"+this.LfUZs+"' style=\"";
canvas_bg+="position:absolute;z-index:100;";
canvas_bg+="overflow:hidden;";
canvas_bg+="\"></div>";
return canvas_bg;
}
this.fmijK=function()
{
var wsEcr=this.kFnRB();
var r1_rect=this.MUsag_selector_slider;
var dJLOW="" 
var min_size=Math.min(r1_rect.width,r1_rect.height)
var size_thumb=wsEcr.th_size.size;
if(wsEcr.th_size.percent) size_thumb=Math.round(size_thumb*(min_size)/100);
var image_spacing=Math.max(0,Math.round((wsEcr.th_spacing/100)*size_thumb))
image_spacing=Math.round(image_spacing/2)*2
var nb_cols_real=r1_rect.width/(size_thumb+image_spacing);
var nb_cols=Math.floor(nb_cols_real);
this.pTock_cols=Math.max(1,nb_cols);
var nb_rows_real=r1_rect.height/(size_thumb+image_spacing);
var nb_rows=Math.floor(nb_rows_real);
this.sLIfi=Math.max(1,nb_rows);
var size_border_thumbnail=Math.max(1,Math.round((size_thumb)*0.03));
size_thumb-=2*size_border_thumbnail
var nb_images=this.pTock_images
var nb_pages=(nb_images/(this.pTock_cols*this.sLIfi));
if(nb_pages>Math.floor(nb_pages)) nb_pages=Math.floor(nb_pages)+1;
this.pTock_pages=nb_pages
this.mgPFn_thumb=size_thumb;
this.IqVsS=image_spacing;
this.uajil=size_border_thumbnail
var n_image=0;
var nb_item_x=this.pTock_cols*nb_pages
var nb_item_y=this.sLIfi;
var nb_item_per_page=this.pTock_cols*this.sLIfi 
if(this.DeHOA==false)
{
nb_item_x=this.pTock_cols
nb_item_y=this.sLIfi*nb_pages;
}
dJLOW+="<table border=0 cellpadding=0 cellspacing=0 width=100% height=100% >";
dJLOW+="<tr>"
dJLOW+="<td "
if((this.DeHOA==false)||(this.pTock_pages==1))
{
dJLOW+="align=center"
}
dJLOW+=">" 
dJLOW+="<table border=0 cellpadding="+(image_spacing/2)+" cellspacing=0  width=10px>";
for(var ocCUQ=0;ocCUQ<nb_item_y;ocCUQ++)
{
dJLOW+="<tr>" 
for(var ZVGoN=0;ZVGoN<nb_item_x;ZVGoN++)
{
dJLOW+="<td>"
var ind_img=0;
var nx_0=Math.floor(ZVGoN/this.pTock_cols)
var diff0=ZVGoN-nx_0*this.pTock_cols;
ind_img=nx_0*nb_item_per_page+(ocCUQ*this.pTock_cols)+diff0
if(ind_img<nb_images)
{
var gJvBb=this.JJWIX.def[ind_img]
var gJvBb_src=this.JJWIX.src_folder+"/th_"+gJvBb.th+"?v="+gJvBb.mod
dJLOW+="<a href=\"";
if(this.JDONR())
{
dJLOW+="javascript:WA_photoAlbumActionThumb('"+IYBOa+"',"+ind_img+")"
}
else
{
dJLOW+="javascript:WA_photoAlbumIncrease('"+IYBOa+"',"+ind_img+")"
}
dJLOW+="\" "
dJLOW+="onmouseover=\"WA_photoAlbumThumbOver(this,'"+IYBOa+"',"+ind_img+")\" "
dJLOW+="onmouseout=\"WA_photoAlbumThumbOut(this)\" "
dJLOW+=">"
dJLOW+="<img id='"+this.tLuTq(ind_img)+"' width="+size_thumb+"px height="+size_thumb+"px src='"+gJvBb_src+"' ";
dJLOW+="style='";
if(size_border_thumbnail>0)
{
dJLOW+="border-color:"+wsEcr.selector_img_border_color+";";
dJLOW+="border-width:"+size_border_thumbnail+"px;border-style:solid;";
}
dJLOW+="' ";
dJLOW+=">"
dJLOW+="</a>"
n_image++;
}
dJLOW+="</td>"
}
if(this.ktptw)
if(this.pTock_pages>1)
{
for(var ZVGoN=0;ZVGoN<this.pTock_cols;ZVGoN++)
{
var Pcrfa=size_thumb+2*size_border_thumbnail
dJLOW+="<td>"
dJLOW+="<div  style='width:"+(Pcrfa)+"px;height:"+Pcrfa+"px;'></div>";
dJLOW+="</td>"
}
}
dJLOW+="</tr>"
}
if(this.ktptw==false)
if(this.pTock_pages>1)
{
for(var ocCUQ=0;ocCUQ<this.sLIfi;ocCUQ++)
{
dJLOW+="<tr>"
var Pcrfa=size_thumb+2*size_border_thumbnail
dJLOW+="<td colspan="+this.pTock_cols+">"
dJLOW+="<div  style='width:"+(Pcrfa)+"px;height:"+Pcrfa+"px;'></div>";
dJLOW+="</td>"
dJLOW+="</tr>"
}
}
dJLOW+="</table>" 
dJLOW+="</td>"
dJLOW+="</tr>"
dJLOW+="</table>"
return dJLOW;
}
this.tLuTq=function(sZvcx)
{
return this.cZutO()+"-th-img"+sZvcx
}
this.akbEp=function()
{
var EMxRY=this.haigd();
if(EMxRY==false) return;
var gJvBb=this.JJWIX.def[0]
this.gJvBb_preview_id="photo-album-preview-img-"+this.cZutO()
this.inpMR=this.gJvBb_preview_id+"-cache"
this.McEpu_preview_id="photo-album-preview-img-div"+this.cZutO()
this.WtSfX_zone_preview_id="photo-album-preview-zone"+this.cZutO()
var dJLOW=""
dJLOW+="<div  id='"+this.WtSfX_zone_preview_id+"' style=\"";
dJLOW+="position:absolute;z-index:500;";
dJLOW+="\" ";
dJLOW+="onclick=\"WA_clickAlbumPreview('"+this.IYBOa+"')\" ";
dJLOW+="onmousemove=\"javascript:WA_mousemoveAlbumPreview(event,'"+this.IYBOa+"')\" ";
dJLOW+="onmouseout=\"javascript:WA_mouseoutAlbumPreview(event,'"+this.IYBOa+"')\" ";
dJLOW+=">";
dJLOW+="<div style='position:absolute;z-index:450;left:0px;top:0px;";
dJLOW+="width:100%;height:100%;background-color:#000000;";
dJLOW+="filter:alpha(opacity=0);-moz-opacity:0;opacity:0;' "
dJLOW+="></div>"
this.PljYt=new WA_GraphicElement(this.cZutO()+"-graphic-img-bg",50,EMxRY.shadow)
this.PljYt.draw=function()
{
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,0,'',[EMxRY.border_col],this.shadow(),0,this.opacity())
}
dJLOW+=this.PljYt.toHtml() 
dJLOW+="<div id='"+this.McEpu_preview_id+"' style=\"";
dJLOW+="position:absolute;z-index:100;";
dJLOW+="left:0px;";
dJLOW+="top:0px;";
dJLOW+="\" ";
dJLOW+=">";
dJLOW+="<img  id='"+this.gJvBb_preview_id+"' border=0 >";
if(isMSIE())
{
dJLOW+="<img style='position:absolute;left:0px;top:0px;visibility:hidden;' id='"+this.inpMR+"'>"
}
else
{
dJLOW+="<img style='position:absolute;left:0px;top:0px;display:none;' id='"+this.inpMR+"'>"
}
dJLOW+="</div>";
this.epwrs=new WA_GraphicElement(this.cZutO()+"-graphic-arrow0",300,true)
this.epwrs.setImage("intuisphere.png",new Rect(97,49,46,47))
this.epwrs.draw=function()
{
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,0,'',["#ffffff"],this.shadow(),0,this.opacity(),true)
var IicTl=Math.round(this.rect().width*0.8);
var tjQrH=Math.round(this.rect().height*0.8);
WA_drawImage(this.canvasId(),this.img_src(),6+(this.rect().width-IicTl)/2,6+(this.rect().height-tjQrH)/2,IicTl,tjQrH,this.img_clip(),this.opacity(),false)
}
this.uuHkY=new WA_GraphicElement(this.cZutO()+"-graphic-arrow1",300,true)
this.uuHkY.setImage("intuisphere.png",new Rect(2,49,46,47))
this.uuHkY.draw=function()
{
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,0,'',["#ffffff"],this.shadow(),0,this.opacity(),true)
var IicTl=Math.round(this.rect().width*0.8);
var tjQrH=Math.round(this.rect().height*0.8);
WA_drawImage(this.canvasId(),this.img_src(),6+(this.rect().width-IicTl)/2,6+(this.rect().height-tjQrH)/2,IicTl,tjQrH,this.img_clip(),this.opacity(),false)
}
dJLOW+=this.epwrs.toHtml()
dJLOW+=this.uuHkY.toHtml() 
this.mlrFP=new WA_GraphicElement(this.cZutO()+"-graphic-cursor-zoom",400,false)
this.mlrFP.setSize(30,30)
this.mlrFP.setImage("intuisphere.png",new Rect(0,0,48,48))
this.mlrFP.draw=function()
{
WA_drawImage(this.canvasId(),this.img_src(),0,0,this.rect().width,this.rect().height,this.img_clip())
}
dJLOW+=this.mlrFP.toHtml() 
dJLOW+="</div>";
return dJLOW;
}
this.Siind=function()
{
if(this.XWUqW())
{
this.wMDqj_selector.registerDynamicCanvas();
this.wMDqj_toolbar.registerDynamicCanvas();
for(var n=0;n<this.JJZHi.length;n++)
{
var GxVkl=this.JJZHi[n]
GxVkl.registerDynamicCanvas();
}
}
if(this.JDONR())
{
this.PljYt.registerDynamicCanvas();
this.epwrs.registerDynamicCanvas();
this.uuHkY.registerDynamicCanvas();
this.mlrFP.registerDynamicCanvas();
this.mlrFP.setVisible(false)
}
if(this.wMDqj_global)
this.wMDqj_global.registerDynamicCanvas();
this.cFahV()
}
this.lGWOq=function()
{
return(this.rjmOJ)?true:false;
}
this.euLxE=function()
{
return(this.OXEVF>0)
}
this.UtfaX=function()
{
return(this.OXEVF<this.pTock_pages-1)
}
this.lUjGZ=function()
{
return(this.TUgUP>0);
}
this.nEucG=function()
{
return(this.TUgUP<this.JJWIX.def.length-1);
}
this.axmsa=function()
{
if(this.XWUqW())
{
var wsEcr=this.kFnRB() 
var IicTl=this.UYegi.width
var tjQrH=this.UYegi.height
var r0=wsEcr.rect
var r0_rect=IkNkp(r0,IicTl,tjQrH)
r0_rect.x+=this.UYegi.x
r0_rect.y+=this.UYegi.y
var r1_rect=r0_rect.clone()
var UeCen_toolbar=r0_rect.clone()
var qRcjI=this.ehMEu.length 
var hIMHU=5
var swBwd=this.Tqxar+hIMHU*2
var lVmqH=(qRcjI*this.Tqxar)
if(wsEcr.nav_but_orient==1)
{
r1_rect.y+=swBwd;
r1_rect.height-=swBwd;
UeCen_toolbar.x=UeCen_toolbar.x+(UeCen_toolbar.width-lVmqH)/2;
UeCen_toolbar.width=lVmqH
UeCen_toolbar.y+=hIMHU;
UeCen_toolbar.height=this.Tqxar;
}
if(wsEcr.nav_but_orient==5)
{
r1_rect.width-=swBwd;
UeCen_toolbar.y=UeCen_toolbar.y+(UeCen_toolbar.height-lVmqH)/2;
UeCen_toolbar.height=lVmqH
UeCen_toolbar.x+=r1_rect.width+hIMHU;
UeCen_toolbar.width=this.Tqxar;
}
if(wsEcr.nav_but_orient==7)
{
r1_rect.height-=swBwd;
UeCen_toolbar.x=UeCen_toolbar.x+(UeCen_toolbar.width-lVmqH)/2;
UeCen_toolbar.width=lVmqH
UeCen_toolbar.y+=r1_rect.height+hIMHU;
UeCen_toolbar.height=this.Tqxar;
}
if(wsEcr.nav_but_orient==3)
{
r1_rect.width-=swBwd;
r1_rect.x+=swBwd;
UeCen_toolbar.y=UeCen_toolbar.y+(UeCen_toolbar.height-lVmqH)/2;
UeCen_toolbar.height=lVmqH
UeCen_toolbar.x+=hIMHU;
UeCen_toolbar.width=this.Tqxar;
}
this.MUsag_selector_slider=r1_rect
this.MUsag_selector_toolbar=UeCen_toolbar 
var qYiVc=this.MUsag_selector_slider;
this.wMDqj_selector.setRect(qYiVc.x,qYiVc.y,qYiVc.width,qYiVc.height)
html_SetRect(this.LfUZs,r1_rect) 
var UeCen=this.MUsag_selector_toolbar
this.wMDqj_toolbar.setRect(UeCen.x,UeCen.y,UeCen.width,UeCen.height)
var lx_button=this.Tqxar
var ly_button=lx_button
var sVJLf=UeCen_toolbar.x
var ocCUQ_but0=UeCen_toolbar.y
for(var n=0;n<this.JJZHi.length;n++)
{
var GxVkl=this.JJZHi[n]
var IYEPp=sVJLf
var ocCUQ_but=ocCUQ_but0
if(this.ktptw)
{
IYEPp+=n*lx_button;
}
else
{
ocCUQ_but+=n*ly_button;
}
GxVkl.setRect(IYEPp,ocCUQ_but,lx_button,ly_button)
html_SetGeometry(GxVkl.divId()+"-href",IYEPp,ocCUQ_but,lx_button,ly_button)
}
var hGGhu_selector=document.getElementById(this.LfUZs)
if(hGGhu_selector)
{
hGGhu_selector.innerHTML=this.fmijK();
}
this.flEbY()
}
}
this.BqwiK=function()
{
if((this.aAdHW==1)&&(this.XWUqW()==true)) return true;
if((this.aAdHW==0)&&(this.YKRma.has_full_page_config)) return true;
return false;
}
this.gtdeW=function()
{
if(this.aAdHW==1) return true;
if(this.aAdHW==2) return true;
return false;
}
this.SuxRQ=function()
{
return this.AXPIO;
}
this.kFnRB=function()
{
return this.Jdeqa;
}
this.haigd=function()
{
return this.Shhfg;
}
this.XWUqW=function()
{
if(this.kFnRB()) return true;
return false;
}
this.JDONR=function()
{
if(this.haigd()) return true;
return false;
}
this.flEbY=function()
{
if(this.XWUqW()==false)return
var vTUJo=this.JJZHi_by_action["<"]
vTUJo.setVisible(this.euLxE())
var BlljX=this.JJZHi_by_action[">"]
BlljX.setVisible(this.UtfaX())
}
this.FXfNL=function()
{
var EMxRY=this.haigd();
var IicTl=this.UYegi.width
var tjQrH=this.UYegi.height
var qYiVc=EMxRY.rect
var qYiVc_rect=IkNkp(qYiVc,IicTl,tjQrH)
if(this.aAdHW==2)
{
qYiVc_rect=new Rect(0,0,IicTl,tjQrH)
}
qYiVc_rect.x+=this.UYegi.x
qYiVc_rect.y+=this.UYegi.y
var UeCen_rect=qYiVc_rect.clone()
this.MUsag_preview=UeCen_rect
html_SetRect(this.WtSfX_zone_preview_id,this.MUsag_preview)
this.EZITT()
this.HkxSL()
}
this.usuZI=function()
{
if(this.lGWOq()) return;
if(this.JDONR()==false)return;
var ZiIOs=Tween.regularEaseOut
var CaaRi=0.3
if((!this.ogNrX)||(this.ogNrX.isRunning()==false))
{
if(this.ogNrX)this.ogNrX.stop()
this.ogNrX=new vFivf(this.epwrs,ZiIOs,0,100,CaaRi)
this.ogNrX.onMotionFinished=this.GYkpM
this.ogNrX.m_count=0
this.ogNrX.start()
}
if((!this.hSDcO)||(this.hSDcO.isRunning()==false))
{
if(this.hSDcO)this.hSDcO.stop()
this.hSDcO=new vFivf(this.uuHkY,ZiIOs,0,100,CaaRi)
this.hSDcO.onMotionFinished=this.GYkpM
this.hSDcO.m_count=0
this.hSDcO.start()
}
}
this.GYkpM=function()
{
if(this.m_count>=3)
{
return;
}
this.yoyo()
this.m_count++}
this.EZITT=function()
{
if(this.uInVq()==false)return;
if(this.JDONR()==false)return
if(isMobileBrowser())return
var uEWiU=30
var vldDd=this;
var hiwCY=vldDd.udslV
var n_pos=vldDd.Atbin;
if(n_pos!=-1)
{
var wKTcq=true;
if(n_pos==0)
{
if(vldDd.lUjGZ()==false)wKTcq=false;
vldDd.mlrFP.setImage("intuisphere.png",new Rect(97,49,46,47))
}
else
if(n_pos==1)
{
if(vldDd.gtdeW())
{
vldDd.mlrFP.setImage("intuisphere.png",new Rect(48,0,48,48))
}
else
if(vldDd.BqwiK())
{
vldDd.mlrFP.setImage("intuisphere.png",new Rect(0,0,48,48))
}
else
{
wKTcq=false;
}
}
else
if(n_pos==2)
{
if(vldDd.nEucG()==false)wKTcq=false;
vldDd.mlrFP.setImage("intuisphere.png",new Rect(0,49,46,47))
}
vldDd.mlrFP.setPosition(hiwCY.x,hiwCY.y,uEWiU,uEWiU);
vldDd.mlrFP.setVisible(wKTcq)
}
else
{
vldDd.mlrFP.setVisible(false)
}
}
this.HkxSL=function()
{
if(this.JDONR()==false)return
if((this.lGWOq()==false)&&(this.QNPQS.width>0))
{
var qRqwT=40
var x_arrow0=(this.MUsag_preview.width-this.QNPQS.width)/2
var x_arrow1=(x_arrow0+this.QNPQS.width-qRqwT)
var y_arrow0=(this.MUsag_preview.height-this.QNPQS.height)/2+(this.QNPQS.height-qRqwT)/2 
this.epwrs.setRect(x_arrow0,y_arrow0,qRqwT,qRqwT)
this.uuHkY.setRect(x_arrow1,y_arrow0,qRqwT,qRqwT)
this.epwrs.setVisible(this.lUjGZ())
this.uuHkY.setVisible(this.nEucG())
}
else
{
this.epwrs.setVisible(false)
this.uuHkY.setVisible(false)
}
this.epwrs.setOpacity(0)
this.uuHkY.setOpacity(0)
}
this.cFahV=function()
{
if(this.JDONR())
{
this.FXfNL()
var sZvcx=this.TUgUP 
WA_photoAlbumActionThumb(this.IYBOa,sZvcx,true)
this.FXfNL()
}
this.axmsa()
if(this.wMDqj_global)
{
this.wMDqj_global.setRect(0,0,this.UYegi.width,this.UYegi.height);
}
if(this.MqjxB)
{
html_SetGeometry(this.MqjxB,0,0,this.UYegi.width,this.UYegi.height)
}
}
this.HjbgW=function()
{
if(this.JDONR())
{
WA_photoAlbumActionThumb(this.IYBOa,this.TUgUP,true)
}
}
this.TYfsX=function(BVtaD)
{
var dJLOW=""
if(this.XWUqW())
{
dJLOW+=this.UWeKh();
}
if(this.JDONR())
{
dJLOW+=this.akbEp();
};
if((this.aAdHW==1)||(this.aAdHW==2))
{
if(this.YKRma.bg_fullpage_img.length>0)
{
this.MqjxB=this.cZutO()+"-graphic-fullpage-bg";
dJLOW+="<div id='"+this.MqjxB+"' style=\"";
dJLOW+="position:absolute;z-index:0;";
if(this.YKRma.bg_fullpage_img_type==0)
{
dJLOW+="background-image:url('"+this.YKRma.bg_fullpage_img+"');";
dJLOW+="background-repeat: repeat;";
}
dJLOW+="\" ";
dJLOW+=">";
if(this.YKRma.bg_fullpage_img_type==1)
{
dJLOW+="<img src='"+this.YKRma.bg_fullpage_img+"' width=100% height=100% border=0 >";
}
dJLOW+="</div>";
}
else
{
var SVFZu=this.YKRma.bg_fullpage_grad
this.wMDqj_global=new WA_GraphicElement(this.cZutO()+"-graphic-global-bg",0,false)
this.wMDqj_global.SVFZu=SVFZu
this.wMDqj_global.draw=function()
{
var SVFZu=this.SVFZu
var SVFZu_bg=false
if(SVFZu.has_gradient)
{
var IicTl=this.rect().width
var tjQrH=this.rect().height
var xg1=SVFZu.pt1.x*IicTl/100
var yg1=SVFZu.pt1.y*tjQrH/100
var xg2=SVFZu.pt2.x*IicTl/100
var yg2=SVFZu.pt2.y*tjQrH/100
SVFZu_bg=IKHRC(xg1,yg1,xg2,yg2,SVFZu.col1,SVFZu.col2)
}
else
{
SVFZu_bg=SVFZu.col1
}
WA_bg(this.canvasId(),this.rect().width,this.rect().height,0,0,'',[SVFZu_bg],false,0,1)
}
dJLOW+=this.wMDqj_global.toHtml();
}
}
var SBiBc=document.getElementById(BVtaD);
SBiBc.innerHTML=dJLOW
SBiBc.style.display="block"
if(navigator.userAgent.match(/opera/i))
{
wa_timeout("WA_registerAlbum('"+this.IYBOa+"') ",0)
}
else
{
WA_registerAlbum(IYBOa)
}
if(this.SuxRQ()==false)
{
this.usuZI()
}
}
this.TElCM=function()
{
var WtSfX_id="wa-dialog-container"
if(this.BqwiK()==false) return;
if(this.aAdHW==0)
if(this.YKRma.plugin_fullscreen_url.length>0)
{
window.open(this.YKRma.plugin_fullscreen_url)
return;
}
this.Atbin=-1;
this.EZITT()
var JJWIX=this.JJWIX
var MUsag=new Rect(0,0,getWindowSize().width,getWindowSize().height)
var vldDd=new fgObB(IYBOa,JJWIX)
vldDd.TUgUP=this.TUgUP
if(this.aAdHW==0)
{
vldDd.aAdHW=1
}
else
if(this.aAdHW==1)
{
vldDd.aAdHW=2
}
JJWIX.album_object=vldDd;
vldDd.UYegi.copy(MUsag)
vldDd.Jdeqa=JJWIX.layout.selector_fullpage
if(vldDd.aAdHW==2)
{
vldDd.Jdeqa=false
}
vldDd.Shhfg=JJWIX.layout.preview_fullpage
wa_global_photo_album.fullpage_object=vldDd
vldDd.TYfsX(WtSfX_id)
return vldDd
}
this.BalFB=function()
{
if(this.gtdeW()==false) return;
this.oTDRt()
var WtSfX_id="wa-dialog-container"
var JJWIX=this.JJWIX
JJWIX.album_object=JJWIX.PBnvU;
wa_global_photo_album.fullpage_object=false
if(this.aAdHW==1)
{
var SBiBc=document.getElementById(WtSfX_id);
SBiBc.innerHTML=""
SBiBc.style.display="none"
WA_photoAlbumActionThumb(this.IYBOa,this.TUgUP,true)
return JJWIX.PBnvU
}
if(this.aAdHW==2)
{
JJWIX.album_object.TUgUP=this.TUgUP
return JJWIX.album_object.TElCM()
}
}
this.oTDRt=function()
{
if(this.lGWOq())
{
this.AXPIO=false
clearTimeout(this.rjmOJ)
this.rjmOJ=false;
}
}
this.onFullScreenKeydown=function(k)
{
if(k==27)
{
this.BalFB()
return false;
}
Qstsp(this.IYBOa,[k])
return false;
}
}
function IKHRC(HVwIe,lubFO,LgYMS,vFeAw,lkBlY,hQKVw)
{
var TqYQU=""
TqYQU+="(";
TqYQU+=HVwIe+";"+lubFO+";"+LgYMS+";"+vFeAw+";";
TqYQU+=lkBlY+";";
TqYQU+=hQKVw;
TqYQU+=")";
return TqYQU;
}
function WA_photoAlbumAction(IYBOa,sZvcx)
{
var vldDd=kXdgM(IYBOa)
var GxVkl=vldDd.JJZHi[sZvcx]
var n_action=GxVkl.n_action
if((n_action=="<")||(n_action=="up"))
{
vldDd.OXEVF=Math.max(0,vldDd.OXEVF-1)
LguGo(IYBOa)
}
if((n_action==">")||(n_action=="down"))
{
vldDd.OXEVF=Math.min(vldDd.pTock_pages-1,vldDd.OXEVF+1)
LguGo(IYBOa)
}
if(n_action=="diapo")
{
IPBYf(IYBOa)
}
if(n_action=="+")
{
vldDd.TElCM()
}
}
function WA_photoAlbumIncrease(IYBOa,sZvcx)
{
var vldDd=kXdgM(IYBOa)
vldDd.TUgUP=sZvcx
vldDd.TElCM()
}
function IPBYf(IYBOa)
{
var vldDd=kXdgM(IYBOa)
if(vldDd.lGWOq()==false)
{
var pTock_increase=0;
var RbgLA=vldDd;
while(RbgLA.BqwiK())
{
RbgLA=RbgLA.TElCM()
pTock_increase++}
if(pTock_increase>0)
{
RbgLA.pTock_decrease_view_when_diaporama_stop=pTock_increase;
WA_goNextDiaporama(IYBOa)
RbgLA.HkxSL()
return;
}
}
if(vldDd.lGWOq())
{
DneDL(IYBOa)
}
else
{
WA_goNextDiaporama(IYBOa)
}
if(vldDd.XWUqW())
{
var GxVkl=vldDd.JJZHi_by_action["diapo"]
GxVkl.draw()
}
}
function DneDL(IYBOa)
{
var vldDd=kXdgM(IYBOa)
if(vldDd.lGWOq())
{
vldDd.oTDRt()
if(vldDd.pTock_decrease_view_when_diaporama_stop)
{
var RbgLA=vldDd;
for(var n=0;n<vldDd.pTock_decrease_view_when_diaporama_stop;n++)
{
RbgLA=RbgLA.BalFB() 
}
return;
}
}
if(vldDd.XWUqW())
{
var GxVkl=vldDd.JJZHi_by_action["diapo"]
GxVkl.draw()
}
}
function WA_goNextDiaporama(IYBOa)
{
var OHESm=iVwDF(IYBOa)
var NBlup=MPaEO(IYBOa)
var vldDd=kXdgM(IYBOa)
var sZvcx=(vldDd.TUgUP+1)%NBlup.length;
if(OHESm.diaporama.random)
{
sZvcx=Math.round((NBlup.length-1)*Math.random());
}
WA_photoAlbumActionThumb(IYBOa,sZvcx)
vldDd.rjmOJ=wa_timeout("WA_goNextDiaporama('"+IYBOa+"')",OHESm.diaporama.time*1000)
}
function LpAnx(IYBOa,sZvcx)
{
var vldDd=kXdgM(IYBOa)
if(sZvcx<0)
{
vldDd.usuZI()
return false;
}
if(sZvcx>vldDd.pTock_images-1)
{
vldDd.usuZI()
return false;
}
WA_photoAlbumActionThumb(IYBOa,sZvcx)
return true;
}
function bPPEP(IYBOa)
{
var vldDd=kXdgM(IYBOa)
if(vldDd.lGWOq()) return false;
return LpAnx(IYBOa,vldDd.TUgUP+1)
}
function TiOik(IYBOa)
{
var vldDd=kXdgM(IYBOa)
if(vldDd.lGWOq()) return false;
return LpAnx(IYBOa,vldDd.TUgUP-1)
}
function WA_clickAlbumPreview(IYBOa)
{
var vldDd=kXdgM(IYBOa)
if(vldDd.SuxRQ()) return;
if(vldDd.lGWOq())
{
DneDL(IYBOa)
}
var aDVlD=vldDd.Atbin
if(aDVlD!=-1)
{
if(aDVlD==2)bPPEP(IYBOa)
if(aDVlD==1)
{
if(vldDd.gtdeW())
{
vldDd.BalFB()
}
else
if(vldDd.BqwiK())
{
vldDd.TElCM()
}
}
if(aDVlD==0)TiOik(IYBOa)
}
}
function WA_mouseoutAlbumPreview(e,IYBOa)
{
var vldDd=kXdgM(IYBOa)
vldDd.mlrFP.setVisible(false)
vldDd.Atbin=-1;
}
function WA_mousemoveAlbumPreview(e,IYBOa)
{
var posx=0;
var posy=0;
if(!e)  e=window.event;
if(e.pageX||e.pageY){
posx=e.pageX;
posy=e.pageY;
}
else if(e.clientX||e.clientY){
posx=e.clientX+document.body.scrollLeft+document.documentElement.scrollLeft;
posy=e.clientY+document.body.scrollTop+document.documentElement.scrollTop;
}
var vldDd=kXdgM(IYBOa)
var WtSfX_bg=document.getElementById(vldDd.mlrFP.divId())
var pt=html_findPos(WtSfX_bg.offsetParent)
var x=posx-pt.x+1;
var y=posy-pt.y+1;
var n_pos=-1
if(vldDd.lGWOq()==false)
{
if((x>0)&&(x<vldDd.MUsag_preview.width))
if((y>0)&&(y<vldDd.MUsag_preview.height))
{
n_pos=1;
if(x<vldDd.MUsag_preview.width*0.3)n_pos=0;
if(x>vldDd.MUsag_preview.width*(1-0.3))n_pos=2;
}
}
vldDd.udslV=new Point(x,y);
vldDd.Atbin=n_pos;
vldDd.EZITT();
}
function LguGo(IYBOa)
{
var vldDd=kXdgM(IYBOa)
var hGGhu=document.getElementById(vldDd.LfUZs)
if(!hGGhu)return;
var jOfOH;
var ktfQd=0;
var size_thumb=vldDd.mgPFn_thumb;
var IqVsS=vldDd.IqVsS;
var wDoTO=0;
var aghHL=(size_thumb+2*vldDd.uajil+IqVsS);
var tERUp=vldDd.pTock_cols*vldDd.sLIfi;
if(vldDd.DeHOA)
{
wDoTO=vldDd.OXEVF*vldDd.pTock_cols*aghHL
}
else
{
wDoTO=vldDd.OXEVF*vldDd.sLIfi*aghHL
}
if(vldDd.DeHOA)
{
jOfOH="scrollLeft"
ktfQd=hGGhu.scrollLeft
}
else
{
jOfOH="scrollTop"
ktfQd=hGGhu.scrollTop
}
if(ktfQd==wDoTO)
{
return;
}
if(vldDd.m_tween_slider)
{
vldDd.m_tween_slider.stop()
}
var CaaRi=0.7;
vldDd.m_tween_slider=new Tween(hGGhu,jOfOH,Tween.strongEaseOut,ktfQd,wDoTO,CaaRi);
vldDd.m_tween_slider.onMotionFinished=vdCBs
vldDd.m_tween_slider.vldDd=vldDd
vldDd.m_tween_slider.start() 
}
function vdCBs()
{
var vldDd=this.vldDd
vldDd.flEbY()
}
function PWGPL(IYBOa)
{
return wa_global_photo_album[IYBOa]
}
function kXdgM(IYBOa)
{
return wa_global_photo_album[IYBOa].album_object
}
function MPaEO(IYBOa)
{
return wa_global_photo_album[IYBOa].def
}
function BemFK(IYBOa)
{
return wa_global_photo_album[IYBOa].src_folder
}
function iVwDF(IYBOa)
{
return wa_global_photo_album[IYBOa].layout
}
function wVPmM(bEfMX)
{
var IYBOa=bEfMX[0]
WA_addHandler(IYBOa,"mousewheel",EhsWf)
WA_addHandler(IYBOa,"keydown",Qstsp)
var WtSfX_id="photo-album-main-"+IYBOa
var JJWIX=PWGPL(IYBOa)
var MUsag=new Rect()
MUsag.copy(JJWIX.size_container) 
var vldDd=new fgObB(IYBOa,JJWIX) 
JJWIX.album_object=vldDd;
JJWIX.PBnvU=vldDd 
vldDd.UYegi.copy(MUsag)
vldDd.Jdeqa=JJWIX.layout.selector
vldDd.Shhfg=JJWIX.layout.preview
vldDd.TYfsX(WtSfX_id) 

var vldDd=kXdgM(IYBOa)
var sbMeL=document.wa_global_query_info
if(sbMeL)
{
if(IYBOa==sbMeL.m_unid)
{
vldDd.TUgUP=sbMeL.m_index_item
vldDd.TElCM()
return;
}
}
if(vldDd.SuxRQ())
{
IPBYf(IYBOa)
return;
}
}
function WA_registerAlbum(IYBOa)
{
kXdgM(IYBOa).Siind()
}
function Qstsp(IYBOa,bEfMX)
{
var VFYQL=bEfMX[0]
if(VFYQL==37) return TiOik(IYBOa);
if(VFYQL==39) return bPPEP(IYBOa);
return true;
}
function EhsWf(IYBOa,RbRPE)
{
var AQOmt=RbRPE[0] 
if(AQOmt>0)return TiOik(IYBOa);
if(AQOmt<0)return bPPEP(IYBOa);
return true;
}
function WA_PhotoAlbum_resizeUI()
{
if(wa_global_photo_album.fullpage_object)
{
var vldDd=wa_global_photo_album.fullpage_object
if(wa_global_photo_album.uEVlI)
{
clearTimeout(wa_global_photo_album.uEVlI);
}
var MUsag=new Rect(0,0,getWindowSize().width,getWindowSize().height)
vldDd.UYegi.copy(MUsag)
vldDd.cFahV()
wa_global_photo_album.uEVlI=wa_timeout("WA_PhotoAlbum_delayed_resizeUI()",1000)
}
}
function WA_PhotoAlbum_delayed_resizeUI()
{
if(wa_global_photo_album.fullpage_object)
{
wa_global_photo_album.uEVlI=false
var vldDd=wa_global_photo_album.fullpage_object
vldDd.HjbgW()
}
}
function WA_loadPhotoAlbums()
{
for(var VFYQL in wa_global_photo_album)
{
var JJWIX=wa_global_photo_album[VFYQL]
var vwkKB=Translator.m_lang_for_filename
if(vwkKB.length>0)vwkKB="_"+vwkKB;
WA_loadScript(JJWIX.src_folder+'/photo-album-definition'+vwkKB+'.js?v='+JJWIX.id_modif,wVPmM,[VFYQL]);
}
}

-->
